microsoft-foundry.rest.security.o-auth2-auth
Datasets
Get dataset credentials
POST
/datasets/{name}/versions/{version}/credentials
Retrieves the SAS credential to access the storage account associated with a dataset version.
Parâmetros de consultas
api-version
string
obrigatório
The API version to use for this operation.
Parâmetros de caminho
name
string
obrigatório
The name of the resource
version
string
obrigatório
The specific version id of the DatasetVersion to operate on.
Respostas
The request has succeeded.
Corpo
Content-Type: application/json
blobReference
BlobReference
obrigatório
Blob reference details.
blobUri
string
obrigatório
Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/Path
storageAccountArmId
string
obrigatório
ARM ID of the storage account to use.
credential
SasCredential
obrigatório
SAS Credential definition
sasUri
string
obrigatório
SAS uri
type
enum
obrigatório
Type of credential
SAS
Pedir
POST /datasets/{name}/versions/{version}/credentials HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json